body {
    display: flex;
}

#connect-container {
    background-color: var(--secondary-color);
    border-radius: 10px;

    display: flex;
    flex-direction: column;

    margin: auto;

    width: 400pt;
    height: fit-content;

    text-align: center;
}

#connect-title {
    font-family: sans-serif;

    border-bottom: 2px solid var(--highlight-color-1);
    margin: 0 auto;
    padding: 0.8em;
    padding-top: 0;

    width: fit-content;
    height: fit-content;
}

#connect-title h1 {
    font-family: var(--title-font);
    font-size: 6em;
    margin-top: 0.2em;
    margin-bottom: 0;
}

#connect-title h2 {
    margin: 10px;
    margin-top: -10px;
}

#form-container {
    flex: 1 1 auto;
    display: flex;
    align-items: center;
}

#connect {
    display: flex;
    flex-direction: column;

    font-size: 1.1em;

    margin: 1em auto 5em auto;
    width: 80%;
    height: fit-content;
}

.connect-input {
    display: flex;
    justify-content: center;

    color: var(--highlight-color-2);
    border: 2px solid var(--text-color);
    border-radius: 10px;

    margin: 20px auto 0 auto;
    padding: 10px;

    width: 90%;
}

.connect-input input {
    color: var(--text-color);

    border: none;
    outline: none;
    border-left: 2px solid var(--text-color);
    background-color: var(--secondary-color);

    font-size: 1.1em;

    padding: 5pt;
    padding-left: 1.1em;
}

.connect-input svg {
    margin: 5pt;
    margin-right: 1.1em;
    font-size: 1.5em;
}

#submit-button {
    color: var(--secondary-color);
    background-color: var(--text-color);
    border: none;
    border-radius: 10px;

    cursor: pointer;

    font-size: 1.1em;
    font-weight: bold;

    margin: 20pt auto 0 auto;
    padding: 10pt;

    width: 95%;
}


